# Getting started

Firstly we'd like to say that we're glad you'd like to join our network and
greater community! This document will provide you with the directions you
will need to follow in order to get connected.

## Steps to follow

Below you can follow the steps one-by-one to get yourself familiar with our
practices and inner-workings and by the end you should have all the information
and configuration details needed to get connected!

1. [Rules](rules)
    * We have **few** but **strict** rules nonetheless
    * Zero-tolerance for breaking them
2. [Requirements](requirements)
3. [Registration](registration)
4. Setting up routing
    1. [Forwarding](../routing/forwarding)
    2. [Setting up Bird](../routing/bird)
5. Tunneling
    * [Fastd tunneling](../tunneling/fastd)
    * [WireGuard tunneling](../tunneling/wireguard)
6. Setting up your home network
    * Configuring your hosts
        1. Automatically with SLAAC and radv
            1. [Setting up radv (router)](../home-network/radv)
            2. [Setting up SLAAC (hosts)](../home-network/slaac)
    * [DNS](../home-network/dns)

## What's next?

Once you're connected there are various things you can do on the network, take a look at [some of the things](../services/) you can do.
