# DNS

In the `radv` protocol in bird, there is a possibility to pass DNS servers to the clients. This requires a working recursive DNS server. If you only want to resolve CRXN domains, you can use a DNS server from [Additional/DNS](../additional/dns). If you also want to resolve Clearnet domains, it is recommended to use your own DNS resolver (recursive or forward) like Coredns or Unbound.

With the following option, you can specify a DNS server:
```
rdnss fd92:58b6:2b2::5353;
```

The following option allows you to specify multiple DNS servers:
```
rdnss {
    ns fd92:58b6:2b2::5353;
    ns fd92:58b6:2b2::5354;
};
```

If you also have a CRXN domain, you can also tell the clients a search domain:
```
dnssl "home.example.crxn";
```
```
dnssl {
    domain "home.example.crxn";
    domain "lab.home.example.crxn";
};
```
